## net.i2p.router.web
Class PluginUpdateChecker

    java.lang.Object
      net.i2p.router.web.UpdateHandler
          net.i2p.router.web.PluginUpdateChecker

    public class PluginUpdateChecker

extends UpdateHandler

Check for an updated version of a plugin. A plugin is a standard .sud file with a 40-byte signature, a 16-byte version, and a .zip file. So we get the current version and update URL for the installed plugin, then fetch the first 56 bytes of the URL, extract the version, and compare.

Since:
  0.7.12
Author:
  zzz

Nested Class Summary
`class` `PluginUpdateChecker.AllCheckerRunner`
`class` `PluginUpdateChecker.PluginUpdateCheckerRunner`

Nested classes/interfaces inherited from class net.i2p.router.web.UpdateHandler
`UpdateHandler.UpdateRunner`

Field Summary

Fields inherited from class net.i2p.router.web.UpdateHandler
`_context, _log, _updateFile, _updateRunner, PROP_LAST_UPDATE_TIME, PROP_UPDATE_IN_PROGRESS, SIGNED_UPDATE_FILE`

Method Summary
`static PluginUpdateChecker` `getInstance(RouterContext ctx)`
`boolean` `isDone()`
`boolean` `isRunning()`
`void` `update()` check all plugins
`void` `update(String appName)` check a single plugin

Methods inherited from class net.i2p.router.web.UpdateHandler
`_, _, getStatus, linkify, restart, setContextId, setUpdateAction, setUpdateNonce, updateStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final PluginUpdateChecker getInstance(RouterContext ctx)

### update

    public void update()

  check all plugins

  Overrides:
    `update` in class `UpdateHandler`

### update

    public void update(String appName)

  check a single plugin

### isRunning

    public boolean isRunning()

### isDone

    public boolean isDone()

  Overrides:
    `isDone` in class `UpdateHandler`